### Method

# Gtk GestureSingleset_touch_only

#### Declaration [src]

    void
    gtk_gesture_single_set_touch_only (
      GtkGestureSingle* gesture,
      gboolean touch_only
    )

#### Description [src]

Sets whether to handle only touch events.

If `touch_only` is `TRUE`, `gesture` will only handle events of type `GDK_TOUCH_BEGIN`, `GDK_TOUCH_UPDATE` or `GDK_TOUCH_END`. If `FALSE`, mouse events will be handled too.

Sets property | `Gtk.GestureSingle:touch-only`

#### Parameters

`touch_only`

  Type: `gboolean`

  Whether `gesture` handles only touch events.